Subject: bug#74672: Package hypre build failure for output "doc"

From: Ludovic Courtès <[email-masked]>
Date: Fri, 21 Mar 2025 14:46:03 +0100

Hi Luca,

Apologies for not noticing earlier.

Luca Cirrottola <[email-masked]> skribis:

> I am getting failures for the package "hypre", during the building of its "doc" output. I have last tested it on 32d1dfb5545bb01c9d8d7a2465f13f2f379dd96e, and the error I get is of the form: 
>
> error: Problems running gs. Check your installation! 

I was hoping to find a complete log with that error on the build farm to
try and investigate, but apparently it has been building find since
November:

  https://ci.guix.gnu.org/build/9433751/details

I rebuilt it 5 times in a row to see if I could reproduce it, but I
cannot:

  guix build -c64 -v1 -K /gnu/store/cc591030mmnz23iiqfn0l6czdjlnn78d-hypre-openmpi-2.20.0.drv --check

Do you still experience it?  If so, do you have a longer log excerpt and
commit ID I could use to reproduce it?

> P.S. When the package does build on certain machines, I get errors if I pass the --check option: 
>
> guix build: error: derivation `/gnu/store/1i8b07ll0m5j2p2m7z0wcxqgp407b5qc-hypre-2.20.0.drv' may not be deterministic: output `/gnu/store/g8ci2qjbz49aq2zwn8hbl3dl44d30rfg-hypre-2.20.0-doc' differs 

That I can reproduce; reported at <https://issues.guix.gnu.org/77152>.

Thanks,
Ludo’.